package com.ruoyi.shipping.mapper;

import java.util.List;
import com.ruoyi.shipping.domain.TCntrtracking;

/**
 * 箱跟踪Mapper接口
 * 
 * @author ruoyi
 * @date 2021-03-22
 */
public interface TCntrtrackingMapper 
{
    /**
     * 查询箱跟踪
     * 
     * @param fId 箱跟踪ID
     * @return 箱跟踪
     */
    public TCntrtracking selectTCntrtrackingById(Long fId);

    /**
     * 查询箱跟踪列表
     * 
     * @param tCntrtracking 箱跟踪
     * @return 箱跟踪集合
     */
    public List<TCntrtracking> selectTCntrtrackingList(TCntrtracking tCntrtracking);

    /**
     * 新增箱跟踪
     * 
     * @param tCntrtracking 箱跟踪
     * @return 结果
     */
    public int insertTCntrtracking(TCntrtracking tCntrtracking);

    /**
     * 修改箱跟踪
     * 
     * @param tCntrtracking 箱跟踪
     * @return 结果
     */
    public int updateTCntrtracking(TCntrtracking tCntrtracking);

    /**
     * 删除箱跟踪
     * 
     * @param fId 箱跟踪ID
     * @return 结果
     */
    public int deleteTCntrtrackingById(Long fId);

    /**
     * 批量删除箱跟踪
     * 
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTCntrtrackingByIds(Long[] fIds);
}
